This wont install on my razr2 v9m. Gives a java error. :l